<!DOCTYPE html>
<html>  
 <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Saisie R&eacute;el en Fran&ccedil;ais</title>
 </head>
 <body>
  <?php
  define("WEB_EOL","<br />");
  // On récupère les données
  $Montant     = $_POST['Montant'] ;
  // Remplace les virgules par des point décimaux
  $Montant     = str_replace(",",".",$Montant) ;
  // Conversion dans le type réel
  $Montant     = floatval($Montant) ;
  // Affiche la donnée réelle sans traitement
  echo "Montant saisi = $Montant".WEB_EOL ;
  var_dump($Montant)                      ;
  echo WEB_EOL ;
  // Dates, valeurs numériques au format local (français)
  setlocale (LC_ALL, 'fr_FR');
  // Affiche la donnée réelle avec les paramètres nationaux
  echo "Montant au format fran&ccedil;ais = $Montant".WEB_EOL;
  // Affiche la donnée réelle en format monétaire français
  $Mont = number_format($Montant,2,","," ")." €" ;
  echo "Montant au format mon&eacute;taire fran&ccedil;ais = $Mont".WEB_EOL;
  ?>
 </body>
</html>
